Page MenuHomePhabricator

Investigate landscape of PuppetDB Frontends and Provision One
Closed, ResolvedPublic

Event Timeline

herron triaged this task as Normal priority.Jan 9 2018, 9:53 PM
herron created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 9 2018, 9:53 PM
Volans added a subscriber: Volans.Jan 9 2018, 10:46 PM
Volans claimed this task.Feb 14 2018, 3:20 PM

Change 419193 had a related patch set uploaded (by Volans; owner: Volans):
[operations/dns@master] Add entries for ganeti instances for Puppetboard

https://gerrit.wikimedia.org/r/419193

Change 419193 merged by Volans:
[operations/dns@master] Add entries for ganeti instances for Puppetboard

https://gerrit.wikimedia.org/r/419193

Change 419247 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] DHCP: add entries for puppetboard hosts

https://gerrit.wikimedia.org/r/419247

Change 419248 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] netboot: add entries for puppetboard hosts

https://gerrit.wikimedia.org/r/419248

Change 419247 merged by Volans:
[operations/puppet@production] DHCP: add entries for puppetboard hosts

https://gerrit.wikimedia.org/r/419247

Change 419248 merged by Volans:
[operations/puppet@production] netboot: add entries for puppetboard hosts

https://gerrit.wikimedia.org/r/419248

Change 419762 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] Puppetboard: add role, profile and configuration

https://gerrit.wikimedia.org/r/419762

Change 419763 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] Puppetboard: add varnish director entries

https://gerrit.wikimedia.org/r/419763

Change 419796 had a related patch set uploaded (by Volans; owner: Volans):
[labs/private@master] Add keyholder dummy keys for puppetboard

https://gerrit.wikimedia.org/r/419796

Change 419796 merged by Volans:
[labs/private@master] Add keyholder dummy keys for puppetboard

https://gerrit.wikimedia.org/r/419796

Change 419800 had a related patch set uploaded (by Volans; owner: Volans):
[operations/dns@master] Add puppetboard.wikimedia.org entry

https://gerrit.wikimedia.org/r/419800

Change 419762 merged by Volans:
[operations/puppet@production] Puppetboard: add role, profile and configuration

https://gerrit.wikimedia.org/r/419762

Change 420798 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] Puppetboard: add missing call to httpd class

https://gerrit.wikimedia.org/r/420798

Change 420798 merged by Volans:
[operations/puppet@production] Puppetboard: add missing call to httpd class

https://gerrit.wikimedia.org/r/420798

Change 420906 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] Puppetboard: add make, required for its deployment

https://gerrit.wikimedia.org/r/420906

Change 420906 merged by Volans:
[operations/puppet@production] Puppetboard: add make, required for its deployment

https://gerrit.wikimedia.org/r/420906

Change 420997 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/puppetboard/deploy@master] Fix setup for puppet integration

https://gerrit.wikimedia.org/r/420997

Change 420997 merged by Volans:
[operations/software/puppetboard/deploy@master] Fix setup for puppet integration

https://gerrit.wikimedia.org/r/420997

Change 421034 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] Puppetboard: adjust uwsgi config

https://gerrit.wikimedia.org/r/421034

Change 421034 merged by Volans:
[operations/puppet@production] Puppetboard: adjust uwsgi config

https://gerrit.wikimedia.org/r/421034

Mentioned in SAL (#wikimedia-operations) [2018-03-21T15:11:15Z] <volans@tin> Started deploy [puppetboard/deploy@81cd93a]: Adjust wsgi config - T184563

Mentioned in SAL (#wikimedia-operations) [2018-03-21T15:11:22Z] <volans@tin> Finished deploy [puppetboard/deploy@81cd93a]: Adjust wsgi config - T184563 (duration: 00m 06s)

Change 421063 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/puppetboard/deploy@master] Copy the wsgi.py script into the venv

https://gerrit.wikimedia.org/r/421063

Change 421064 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] Puppetboard: allow to connect to puppetdb

https://gerrit.wikimedia.org/r/421064

Change 421063 merged by Volans:
[operations/software/puppetboard/deploy@master] Copy the wsgi.py script into the venv

https://gerrit.wikimedia.org/r/421063

Change 421064 merged by Volans:
[operations/puppet@production] Puppetboard: allow to connect to puppetdb

https://gerrit.wikimedia.org/r/421064

Mentioned in SAL (#wikimedia-operations) [2018-03-21T17:22:29Z] <volans@tin> Started deploy [puppetboard/deploy@d6514d6]: Adjust wsgi config - T184563

Mentioned in SAL (#wikimedia-operations) [2018-03-21T17:22:35Z] <volans@tin> Finished deploy [puppetboard/deploy@d6514d6]: Adjust wsgi config - T184563 (duration: 00m 06s)

Change 421111 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] Puppetboard: use Puppet CA to verify SSL cert

https://gerrit.wikimedia.org/r/421111

Change 421111 merged by Volans:
[operations/puppet@production] Puppetboard: use Puppet CA to verify SSL cert

https://gerrit.wikimedia.org/r/421111

Change 421823 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] Puppetboard: enable apache proxy modules

https://gerrit.wikimedia.org/r/421823

Change 421824 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] Puppetboard: fine tune configuration

https://gerrit.wikimedia.org/r/421824

Change 421823 merged by Volans:
[operations/puppet@production] Puppetboard: enable apache proxy modules

https://gerrit.wikimedia.org/r/421823

Change 421824 merged by Volans:
[operations/puppet@production] Puppetboard: fine tune configuration

https://gerrit.wikimedia.org/r/421824

Change 421834 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] Puppetboard: ferm, open port 80

https://gerrit.wikimedia.org/r/421834

Change 421834 merged by Volans:
[operations/puppet@production] Puppetboard: ferm, open port 80

https://gerrit.wikimedia.org/r/421834

Change 421871 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] Puppetboard: fine tune apache config and settings

https://gerrit.wikimedia.org/r/421871

Change 421871 merged by Volans:
[operations/puppet@production] Puppetboard: fine tune apache config and settings

https://gerrit.wikimedia.org/r/421871

Change 421888 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] Puppetboard: fine tune inventory

https://gerrit.wikimedia.org/r/421888

Change 421888 merged by Volans:
[operations/puppet@production] Puppetboard: fine tune inventory

https://gerrit.wikimedia.org/r/421888

Change 419763 merged by Volans:
[operations/puppet@production] Puppetboard: add varnish director entries

https://gerrit.wikimedia.org/r/419763

Change 421924 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] Puppetboard: disable query tab, enable catalog one

https://gerrit.wikimedia.org/r/421924

Change 421924 merged by Volans:
[operations/puppet@production] Puppetboard: disable query tab, enable catalog one

https://gerrit.wikimedia.org/r/421924

Change 419800 merged by Volans:
[operations/dns@master] Add puppetboard.wikimedia.org entry

https://gerrit.wikimedia.org/r/419800

Change 421952 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] Puppetboard: add HTTP monitoring

https://gerrit.wikimedia.org/r/421952

Change 421952 merged by Volans:
[operations/puppet@production] Puppetboard: add HTTP monitoring

https://gerrit.wikimedia.org/r/421952

Volans closed this task as Resolved.Mar 26 2018, 6:35 PM

Puppetboard is now reachable via https://puppetboard.wikimedia.org (LDAP auth), resolving.

238482n375 removed Volans as the assignee of this task.Jun 15 2018, 8:03 AM
238482n375 lowered the priority of this task from Normal to Lowest.
238482n375 moved this task from Next Up to In Code Review on the Analytics-Kanban board.
238482n375 edited subscribers, added: 238482n375; removed: Aklapper.
This comment was removed by Volans.
238482n375 set Security to Software security bug.Jun 15 2018, 8:07 AM
238482n375 changed the visibility from "Public (No Login Required)" to "Custom Policy".
This comment was removed by Volans.
Volans claimed this task.Jun 15 2018, 8:51 AM
Volans raised the priority of this task from Lowest to Normal.
Volans changed the visibility from "Custom Policy" to "Public (No Login Required)".
Volans removed a subscriber: 238482n375.
Restricted Application added a project: Security. · View Herald TranscriptJun 15 2018, 8:51 AM